<h1>Clients</h1>

<p>
    Price/kwh: <%= link_to price_link_string, new_price_path %>
</p>

<table>
    <tr>
	<th>ICP</th>
	<th>Number</th>
	<th>Street</th>
	<th>Town or Suburb</th>
	<th>Region or City</th>
	<th>Postcode</th>
	<th>Users</th>
	<th>Register serials</th>
    </tr>
    
    <% @addresses.each do |address| %>
	<tr>
	    <td><%= address.icp %></td>
	    <td><%= address.number %></td>
	    <td><%= address.street %></td>
	    <td><%= address.town_suburb %></td>
	    <td><%= address.region_city %></td>
	    <td><%= address.postcode %></td>
	    <td>
		<table>
		    <tr>
			<th>User Name</th>
			<th>Status</th>
		    </tr>
		    <tr>
			<%= form_for address.user do |user_form| %>
			    <%= user_form.hidden_field(:id) %>
			    <td><%= address.user.username %></td>
			    <td><%= user_form.check_box :status, onchange: 'this.form.submit()' %></td>
			<% end %>
		    </tr>
		</table>
	    </td>
	    <td>
		<table>
		    <tr>
			<th>Meter number</th>
			<th>Register number</th>
			<th>Register decimals</th>
			<th>Last Reading</th>
		    </tr>
		    <% address.registers.each do |register| %>
			<tr>
			    <td><%= register.meter_number %></td>
			    <td><%= register.register_number %></td>
			    <td><%= register.register_decimals %></td>
			    <td><%= register.readings.last.kwh.to_s(:rounded, precision: register.register_decimals) if register.readings.last  %></td>
			    <td><%= link_to '+ Add Reading', new_reading_path(register_id: register.id) %></td>
			</tr>
		    <% end %>
		</table>
		
		<%= link_to '+ Add Meter', new_register_path(address_id: address.id) %>
		<hs/>
		<%= link_to "Invoice $#{address.user.bill_amount_by_date(Time.current)}", new_bill_path(user: address.user) %>
		
	    </td>
	</tr>
    <% end %>
</table>

<%= link_to 'Back', root_path %>
